Skip to main content
POST/point-customer-level/

Create customer level

You can create a new customer level.

AttributesTypeRequiredDescription
namestringyesA customer level name.
min_thresholdintegeryesA minimum number of points to be in a specific customer level.
max_thresholdintegeryesA maximum number of points to be in a specific customer level.
perksobjectyesAn object with additional user's benefits, e.g. coupon or a discout.
point_campaignintegeryesA unique identifier for the point campaign which is given by User.com
user_attributestringnoA standardized name for the user attribute (e.g. "My attribute" is standardized to "my_attribute"). Attribute has to be an integer type.

Request​

curl --location --request POST 'https://<your_app_subdomain>.user.com/api/public/point-customer-level/' \
--header 'accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <your_64_char_api_key>' \
--header 'Accept: */*; version=2' \
--data-raw '{ "name": "string", "min_threshold": 0, "max_threshold": 0, "perks": {}, "point_campaign": 1, "user_attribute": "attr_int"}'

Response​

{
"id": 2,
"name": "string",
"min_threshold": 0,
"max_threshold": 0,
"perks": {},
"point_campaign": 1,
"user_attribute": "attr_int"
}